Learn from the best! Meet the four finalists headed to the FINALS of the Power BI Dataviz World Championships! Register now
I am trying to generate Embed token with RLS using POSTMAN providing parameters:
POST https://api.powerbi.com/v1.0/myorg/groups/{GROUP ID}/reports/{REPORT ID}/GenerateToken
headers = {
Authorization: Bearer + {access_token from first post}
Content-Type:application/json; charset=utf-8
Accept:application/json
}
data= {
"accessLevel": "View",
"allowSaveAs": "false"
"identities": [
{
"username": "abc@gmail.com",
"roles": [ "abc" ],
"datasets": [ "datasetID" ]
}
]
}
The generated token checked on https://microsoft.github.io/PowerBI-JavaScript/demo/v2-demo/index.html#
Embeded URL: https://api.powerbi.com/v1.0/myorg/groups/GROUPID/reports/REPORTID/GenerateToken
It is showing whole report without applying RLS. Is this approch is correct?
It will be great if someone suggest ans ASAP.
Any suggestions?
| User | Count |
|---|---|
| 3 | |
| 2 | |
| 2 | |
| 1 | |
| 1 |
| User | Count |
|---|---|
| 2 | |
| 2 | |
| 2 | |
| 2 | |
| 2 |